Name:          hyena
Version:       0.5
Release:       4mamba
Summary:       A C# library used to make awesome applications
Group:         Development/Languages
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Hyena
Source:        http://ftp.gnome.org/pub/GNOME/sources/hyena/%{version}/hyena-%{version}.tar.bz2
Patch0:        hyena-0.5-fix-build-makefiles.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: gtk-sharp2-devel
BuildRequires: mono-devel
## AUTOBUILDREQ-END
Requires:      gtk-sharp

%description
Hyena contains a lot of random things, including useful data structures, a Sqlite-based db layer, cool widgets, a JSON library, a smart job/task scheduler, a user-query/search parser, and much more.
It's particularly useful for Gtk# applications, though only the Hyena.Gui assembly requires Gtk#.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-sharp-devel

%description devel
Hyena contains a lot of random things, including useful data structures, a Sqlite-based db layer, cool widgets, a JSON library, a smart job/task scheduler, a user-query/search parser, and much more.
It's particularly useful for Gtk# applications, though only the Hyena.Gui assembly requires Gtk#.
This package contains static libraries and header files needed for development.

#% debug_package

%prep
%setup -q
%patch0 -p1 -b .fix-build-makefiles
# FIX for mono 6
sed -i "s/gmcs/mcs/;s|2\.0|2.0-api|" build/m4/shamrock/mono.m4

aclocal -I build/m4/shamrock
automake --gnu
autoconf

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make381 install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/hyena
%doc COPYING NEWS README

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-4mamba
- rebuild without make381

* Sun Sep 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-3mamba
- rebuilt with mono 6.10.0.104

* Sat Sep 26 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-2mamba
- rebuilt

* Sun Apr 03 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- update to 0.5

* Mon Oct 04 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.3-1mamba
- package created by autospec
